Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Interface DbAppendRecno

public interface DbAppendRecno

An interface specifying a callback function that modifies stored data based on a generated key.

Method Summary
`void` | `dbAppendRecno(Db db, Dbt data, int recno)` The DbAppendRecno interface is used by the Db.setAppendRecno method.

Method Detail

### dbAppendRecno

    public void dbAppendRecno(Db db,
                              Dbt data,
                              int recno)
                       throws DbException

  The DbAppendRecno interface is used by the Db.setAppendRecno method. The called function may modify the data `Dbt`.

  Parameters:
    `db` - the enclosing database handle.
    `data` - the data `Dbt` to be stored.
    `recno` - the generated record number.
  Throws:
    `DbException` - Signals that an exception of some sort has occurred.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.